/**
 * 比较常用的工具模块
 * @date 2022-03
 * @author 何华东
 */
/**
 * 替换所有字符串, 某些特殊字符不支持，例如：`\\n`
 */
export declare function replaceAll(value: string, searchValue: string, replaceValue: string): string;
/**
 * 生成一个`uuid`
 */
export declare function uuid(): string;
/**
 * 拦截对象方法调用
 *
 * @param handler 处理器需要手动调用一次`Reflect.apply(target, thisArg, argArray)`，执行原方法，否则原方法不会执行
 */
export declare function interceptMethodCall(obj: object, handler: (target: any, p: string | symbol, thisArg: any, argArray: any[]) => Promise<any>): object;
